Update a company
curl --request PUT \
--url https://api.hubapi.com/companies/v2/companies/{companyId} \
--header 'Content-Type: application/json' \
--data '
{
"properties": [
{
"name": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/companies/v2/companies/{companyId}"
payload = { "properties": [
{
"name": "<string>",
"value": "<string>"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({properties: [{name: '<string>', value: '<string>'}]})
};
fetch('https://api.hubapi.com/companies/v2/companies/{companyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"properties": [
{
"name": "description",
"value": "A far better description than before"
}
]
},
{
"sourceId": null,
"timestamp": 1485550052993,
"versions": [
{
"timestamp": 1485550052993,
"sourceVid": [],
"name": "hs_lastmodifieddate",
"value": "1485550052993",
"source": "CALCULATED"
}
],
"value": "1485550052993",
"source": "CALCULATED"
},
{
"sourceId": "API",
"timestamp": 1485550052985,
"versions": [
{
"name": "createdate",
"sourceId": "API",
"timestamp": 1485550052985,
"value": "1485550052985",
"source": "API",
"sourceVid": []
}
],
"value": "1485550052985",
"source": "API"
},
{
"sourceId": null,
"timestamp": 1485550052985,
"versions": [
{
"timestamp": 1485550052985,
"sourceVid": [],
"name": "name",
"value": "A company name",
"source": "API"
}
],
"value": "A company name",
"source": "API"
},
{
"sourceId": "100097",
"timestamp": 1485550869914,
"versions": [
{
"name": "description",
"sourceId": "100097",
"timestamp": 1485550869914,
"value": "A far better description than before",
"source": "API",
"sourceVid": []
}
],
"value": "A far better description than before",
"source": "API"
}
]v2
Update a company
Update an existing company with new property values. These properties and values must be specified by JSON in the request body.
PUT
/
companies
/
v2
/
companies
/
{companyId}
Update a company
Scope requirements
Scope requirements
パスパラメータ
Unique identifier for a particular company.
クエリパラメータ
The vid to offset the query by.
Specifies the number of contacts to be returned.
ボディ
application/json
A list of properties to update for the company.
Show child attributes
Show child attributes
レスポンス
200 - application/json
Successful response
The response is of type object.
最終更新日 2026年4月10日
⌘I